it-swarm-tr.com

Yenileme Bildirim Önbelleği nedir ve neden Joomla'yı yükseltirken hataya neden oluyor?

Joomla'yı uzantı yöneticisi aracılığıyla manuel olarak yükseltirken aşağıdaki hatayı alıyorum:

500 hatası

Yükleme beklenmedik şekilde sonlandırıldı: Bildiri Önbelleğini Yenile başarısız oldu: Uzantı şu anda yüklü değil.

Joomla 2.5.18'den 2.5.20'ye yükseltme yapıyordum. Bu durumun farklı bir siteyi 2.5.18'den 2.5.19'a yükselttiğimde de olduğuna inanıyorum. Yükseltmeden sonra Joomla sürümünü kontrol ettim. 2.5.20 diyor. ExtensionsManager -> Uyarılar There were none. ExtensionsManager'ı kontrol ettim -> Veritabanı

Gösterdi

Veritabanı tablosu yapısı günceldir.
Veritabanı şeması sürümü (#__schemas): 2.5.20. Güncelleme sürümü (#__extensions içinde): 2.5.20. Veritabanı sürücüsü: mysqli. 66 veritabanı değişikliği başarıyla kontrol edildi. 41 veritabanı değişikliği tablo yapısını değiştirmedi ve atlandı

Sorularım

  1. Yenileme Manifest Önbelleği nedir?
  2. Neden hataya neden oluyor? (I.E. Hangi uzantı yüklenmeyecek?)
  3. Kurulumum güvenli mi? Aynı yükseltme paketini kullanarak tekrar yükseltmeli miyim?
2
TryHarder
  1. Manifest önbelleği, #__extensions tablosunda, uzantı manifest dosyasından (uzantıyı ve ne yükleneceğini açıklayan xml dosyası) bilgileri tutan bir alandır. Önbelleği yenile düğmesini kullanarak uzantı yöneticisinde de yenileyebilirsiniz.

  2. Hatanın nereden geldiğini bilmiyorum, aksi takdirde düzeltirim :-)

  3. Güvenli olduğunu söyleyebilirim. Yenileme, güncelleme tamamlandıktan sonra gerçekleşir.

3
Bakual

Bakual'ın cevabına uzanacağımı düşündüm.

Yenileme Bildirim Önbelleği nedir?

https://www.akeebabackup.com/support/admin-tools/15271-refresh-manifest-cache-failed.html

veritabanı hatalarını algılar ve düzeltir. Güncelleme hataları bildirdiği zamandır.

Buna ne sebep oluyor? Nasıl düzeltebilirim?

  1. Joomla Admin'e giriş yapın. Extension Manager -> Keşfet -> Önbelleği Temizle'ye gidin
  2. Ardından Extension Manager -> Veritabanı -> Düzelt'e gidin
  3. Ardından Extension Manager -> Keşfet -> Keşfet'e gidin
  4. Son olarak bulunan uzantıları/eklentileri/modülleri yükleyin

Yukarıdaki işlemi yaptıktan sonra sorun ortadan kalkmalıdır.

Kurulumum güvenli mi? Bakual'ın işaret ettiği gibi, sorun değil. Güncellemeden beri herhangi bir hatayla karşılaşmadım ve aşağıdaki bağlantılardan birinde geliştirici sorun söyledi - bu

Aşırı ciddi bir şey yok.

Bilgilerim şuradan alındı:

3
TryHarder